import { buildProps as t } from "@interface-ui/utils";
const e = ["dot", "content"], r = t({
  content: {
    type: [String, Number, Object]
  },
  variant: {
    type: String,
    values: e,
    default: "content"
  },
  color: {
    type: [String, Function],
    default: "error"
  },
  max: {
    type: [String, Number]
  },
  overlap: {
    type: Boolean,
    default: !1
  },
  xAlign: {
    type: String,
    values: ["left", "right"],
    default: "right"
  },
  yAlign: {
    type: String,
    values: ["top", "bottom"],
    default: "top"
  }
});
export {
  r as badgeProps,
  e as badgeVariants
};
