import { defineComponent as x, useSlots as $, computed as n, openBlock as r, createElementBlock as u, normalizeClass as l, unref as a, renderSlot as h, createBlock as m, withCtx as C, Fragment as k, createTextVNode as _, toDisplayString as w, createCommentVNode as A } from "vue";
import { useNamespace as B, debugWarn as T } from "@interface-ui/utils";
import { useColor as I, css as N, styled as S } from "@interface-ui/theme";
import { InTypography as V } from "../../typography/index.js";
import { badgeProps as z } from "./badge.js";
const W = /* @__PURE__ */ x({
  __name: "index",
  props: z,
  setup(d) {
    const t = d, g = $(), s = B("badge"), [f, y] = I(t, "color"), c = {
      top: "-50%",
      bottom: "50%",
      right: "50%",
      left: "-50%"
    }, i = n(
      () => g.default ? N`
        ${t.xAlign}: 0;
        ${t.yAlign}: 0;
        position: absolute;
        transform: scale(1)
          translate(
            ${t.overlap ? "0%" : c[t.xAlign]},
            ${t.overlap ? "0%" : c[t.yAlign]}
          );
      ` : ""
    ), v = n(
      () => S(V, { color: y.value })`
    background-color: ${f.value};
    height: ${t.variant === "dot" ? "8px" : "20px"};
    min-width: ${t.variant === "dot" ? "8px" : "20px"};
    border-radius: 10px;
    padding: ${t.variant === "dot" ? "0" : "6px"} !important;
  `
    ), p = n(() => {
      const { content: o, variant: e } = t;
      return e === "dot" || ["string", "number"].includes(typeof o);
    }), b = n(() => {
      const { content: o, max: e } = t;
      return p.value ? o && e ? ["string", "number"].includes(typeof o) ? e && +e < +o ? `${e}+` : o : (T(
        "[Interface UI]",
        'props.content can only be "string" or "number" when set props.max'
      ), null) : o : null;
    });
    return (o, e) => (r(), u("span", {
      class: l(a(s).b())
    }, [
      h(o.$slots, "default"),
      p.value ? (r(), m(a(v), {
        key: 0,
        class: l([a(s).m("icon"), i.value]),
        variant: "label.small"
      }, {
        default: C(() => [
          t.variant !== "dot" ? (r(), u(k, { key: 0 }, [
            _(w(b.value), 1)
          ], 64)) : A("", !0)
        ]),
        _: 1
      }, 8, ["class"])) : (r(), m(t.content, {
        key: 1,
        class: l([a(s).m("icon"), i.value])
      }, null, 8, ["class"]))
    ], 2));
  }
});
export {
  W as default
};
