import { componentSizes as e } from "@interface-ui/constants";
import { buildProps as t } from "@interface-ui/utils";
const l = [
  "elevated",
  "filled",
  "tonal",
  "outlined",
  "text"
], a = ["rounded", "arc", "square"], n = {
  small: 32,
  medium: 40,
  large: 48
}, r = {
  small: "label-medium",
  medium: "label-large",
  large: "title-medium"
}, u = t({
  variant: {
    type: String,
    values: l,
    default: "filled"
  },
  shape: {
    type: String,
    values: a,
    default: "arc"
  },
  size: {
    type: String,
    values: e,
    default: "medium"
  },
  color: {
    type: [String, Function],
    default: "primary"
  },
  disableRipple: {
    type: Boolean,
    default: !1
  },
  cs: {
    type: [Object, String]
  }
});
export {
  n as buttonHeight,
  u as buttonProps,
  a as buttonShapes,
  l as buttonVariants,
  r as textMapping
};
