import { defineComponent as n, openBlock as s, createBlock as r, Transition as g, mergeProps as p, unref as f, toHandlers as y, withCtx as m, renderSlot as h } from "vue";
import { useNamespace as c } from "@interface-ui/utils";
import { collapseProps as v } from "./collapse.js";
const L = /* @__PURE__ */ n({
  __name: "index",
  props: v,
  setup(i) {
    const o = i, a = c("collapse"), d = o.orientation === "vertical" ? {
      oldPaddingTop: "",
      oldPaddingBottom: "",
      oldOverflow: ""
    } : {
      oldPaddingLeft: "",
      oldPaddingRight: "",
      oldOverflow: ""
    }, e = (t) => {
      o.orientation === "vertical" ? (t.style.maxHeight = "", t.style.overflow = d.oldOverflow, t.style.paddingTop = d.oldPaddingTop, t.style.paddingBottom = d.oldPaddingBottom) : (t.style.maxWidth = "", t.style.overflow = d.oldOverflow, t.style.paddingLeft = d.oldPaddingLeft, t.style.paddingRight = d.oldPaddingRight);
    }, l = {
      beforeEnter(t) {
        o.orientation === "vertical" ? (d.oldPaddingTop = t.style.paddingTop, d.oldPaddingBottom = t.style.paddingBottom, t.style.maxHeight = 0, t.style.paddingTop = 0, t.style.paddingBottom = 0) : (d.oldPaddingLeft = t.style.paddingLeft, d.oldPaddingRight = t.style.paddingRight, t.style.maxWidth = 0, t.style.paddingLeft = 0, t.style.paddingRight = 0);
      },
      enter(t) {
        d.oldOverflow = t.style.overflow, o.orientation === "vertical" ? (t.scrollHeight !== 0 ? t.style.maxHeight = `${t.scrollHeight}px` : t.style.maxHeight = 0, t.style.paddingTop = d.oldPaddingTop, t.style.paddingBottom = d.oldPaddingBottom) : (t.scrollWidth !== 0 ? t.style.maxWidth = `${t.scrollWidth}px` : t.style.maxWidth = 0, t.style.paddingLeft = d.oldPaddingLeft, t.style.paddingRight = d.oldPaddingRight);
      },
      afterEnter(t) {
        o.orientation === "vertical" ? (t.style.maxHeight = "", t.style.overflow = d.oldOverflow) : (t.style.maxWidth = "", t.style.overflow = d.oldOverflow);
      },
      enterCancelled(t) {
        e(t);
      },
      beforeLeave(t) {
        o.orientation === "vertical" ? (d.oldPaddingTop = t.style.paddingTop, d.oldPaddingBottom = t.style.paddingBottom, d.oldOverflow = t.style.overflow, t.style.maxHeight = `${t.scrollHeight}px`) : (d.oldPaddingLeft = t.style.paddingLeft, d.oldPaddingRight = t.style.paddingRight, d.oldOverflow = t.style.overflow, t.style.maxWidth = `${t.scrollWidth}px`);
      },
      leave(t) {
        o.orientation === "vertical" ? t.scrollHeight !== 0 && (t.style.maxHeight = 0, t.style.paddingTop = 0, t.style.paddingBottom = 0) : t.scrollWidth !== 0 && (t.style.maxWidth = 0, t.style.paddingLeft = 0, t.style.paddingRight = 0);
      },
      afterLeave(t) {
        e(t);
      },
      leaveCancelled(t) {
        e(t);
      }
    };
    return (t, P) => (s(), r(g, p({
      name: f(a).b()
    }, y(l)), {
      default: m(() => [
        h(t.$slots, "default")
      ]),
      _: 3
    }, 16, ["name"]));
  }
});
export {
  L as default
};
