import { buildProps as e } from "@interface-ui/utils";
import { componentDirections as t } from "@interface-ui/constants";
const r = ["persistent", "temporary"], n = e({
  open: {
    type: Boolean,
    required: !0,
    default: !1
  },
  backdrop: {
    type: Boolean,
    default: !0
  },
  keepMounted: {
    type: Boolean,
    default: !1
  },
  variant: {
    type: String,
    values: r,
    default: "temporary"
  },
  background: {
    type: [String, Function],
    default: "surface"
  },
  placement: {
    type: String,
    values: t,
    default: "right"
  },
  cs: {
    type: [Object, String]
  }
});
export {
  n as drawerProps,
  r as drawerVariants
};
