import type { ComponentSizes } from '@interface-ui/constants';
import type { AcceptableColor } from '@interface-ui/theme';
import type { ExtractPropTypes, PropType } from 'vue';
export declare const iconSizeMapping: Record<ComponentSizes, number>;
export declare const iconButtonProps: {
    size: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large") | ((new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large"))[], "small" | "medium" | "large", unknown, string, boolean>;
    color: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor) | ((new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => AcceptableColor))[], unknown, unknown, string, boolean>;
    cs: {
        readonly type: PropType<import("@interface-ui/utils").InPropMergeType<(StringConstructor | ObjectConstructor)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
};
export type IconButtonProps = ExtractPropTypes<typeof iconButtonProps>;
