import { componentSizes as t } from "@interface-ui/constants";
import { buildProps as o } from "@interface-ui/utils";
const r = {
  small: 20,
  medium: 24,
  large: 28
}, n = o({
  size: {
    type: String,
    values: t,
    default: "medium"
  },
  color: {
    type: [String, Function],
    default: "primary"
  },
  cs: {
    type: [Object, String]
  }
});
export {
  n as iconButtonProps,
  r as iconSizeMapping
};
