import { buildProps as e } from "@interface-ui/utils";
const t = [
  "flex-start",
  "center",
  "flex-end",
  "stretch",
  "baseline"
], n = e({
  component: {
    type: [String, Object],
    default: "div"
  },
  background: {
    type: [String, Function],
    default: "surface"
  },
  level: {
    type: [Number, String],
    default: 0
  },
  sublist: {
    type: Boolean,
    default: !1
  },
  selectable: {
    type: Boolean,
    default: !0
  },
  alignItems: {
    type: String,
    values: t,
    default: "center"
  },
  highlightColor: {
    type: [String, Function],
    default: "secondaryContainer"
  },
  disablePadding: {
    type: Boolean,
    default: !1
  },
  cs: {
    type: [Object, String]
  }
});
export {
  t as listAlignItems,
  n as listProps
};
