var I = Object.defineProperty;
var T = (s, e, t) => e in s ? I(s, e, { enumerable: !0, configurable: !0, writable: !0, value: t }) : s[e] = t;
var o = (s, e, t) => (T(s, typeof e != "symbol" ? e + "" : e, t), t);
import { createVNode as n, render as x, mergeProps as l, Fragment as A, isVNode as j } from "vue";
import { singleton as f, generateId as C, isEmpty as E } from "@interface-ui/utils";
import { InAlert as N } from "../../alert/index.js";
import { InTypography as V } from "../../typography/index.js";
import _ from "./notistack.vue.js";
import w from "./index.jss.js";
function O(s) {
  return typeof s == "function" || Object.prototype.toString.call(s) === "[object Object]" && !j(s);
}
class c {
  constructor(e = {}) {
    o(this, "_rendered", !1);
    o(this, "_body", document.body);
    o(this, "_notistack", n(_, null, null));
    o(this, "_defaultProps", {
      title: "",
      variant: "filled",
      severity: "info",
      icon: !0,
      customIcon: void 0,
      action: void 0,
      actionEvent: (e) => {
        this._removeMessage(e.id);
      },
      content: "",
      duration: 2e3,
      transition: "all 0.5s ease",
      placement: {
        x: "right",
        y: "top"
      }
    });
    o(this, "_handleMouseenter", (e) => {
      clearTimeout(e), e = null;
    });
    this._defaultProps = {
      ...this._defaultProps,
      ...e
    };
    const t = w(this._defaultProps);
    this._notistack = n(_, {
      class: t
    }, null), this._render();
  }
  _render() {
    this._rendered || (x(this._notistack, this._body), this._rendered = !0);
  }
  push(e = {}) {
    this._render(), this._pushMessage(e);
  }
  _pushMessage(e = {}) {
    var p, h;
    const {
      title: t,
      content: r,
      customIcon: d,
      action: a,
      actionEvent: g,
      duration: u,
      placement: S,
      transition: F,
      ...v
    } = {
      ...this._defaultProps,
      ...e
    };
    let m = null;
    const y = N, M = d, b = a, P = C(), i = n(y, l(v, {
      onMouseenter: () => this._handleMouseenter(m),
      onMouseleave: () => this._startTimer(i, u)
    }), {
      icon: d ? () => n(M, null, null) : void 0,
      default: () => n(A, null, [!E(t) && n(V, {
        variant: "title.medium",
        component: "h1",
        color: "inherit"
      }, O(t) ? t : {
        default: () => [t]
      }), r]),
      action: a ? (k) => n(b, l(l(k, a.props), {
        onClick: () => g(i, this._removeMessage.bind(this))
      }), null) : void 0
    });
    i.id = P, (h = (p = this._notistack.component) == null ? void 0 : p.exposed) == null || h.add(i), m = this._startTimer(i, u);
  }
  _removeMessage(e) {
    var t, r;
    (r = (t = this._notistack.component) == null ? void 0 : t.exposed) == null || r.remove(e);
  }
  _startTimer(e, t) {
    return setTimeout(() => {
      this._removeMessage(e.id);
    }, t);
  }
  info(e = {}) {
    this.push({
      ...e,
      severity: "info"
    });
  }
  success(e = {}) {
    this.push({
      ...e,
      severity: "success"
    });
  }
  warning(e = {}) {
    this.push({
      ...e,
      severity: "warning"
    });
  }
  error(e = {}) {
    this.push({
      ...e,
      severity: "error"
    });
  }
  removeAll() {
    var e, t;
    (t = (e = this._notistack.component) == null ? void 0 : e.exposed) == null || t.removeAll();
  }
  static install(e) {
    e.config.globalProperties.$message = f(c);
  }
}
const J = f(c);
export {
  c as InMessageClass,
  J as default
};
