import { componentSizes as e } from "@interface-ui/constants";
import { buildProps as t } from "@interface-ui/utils";
const l = {
  small: 28,
  medium: 32,
  large: 36
}, r = t({
  modelValue: {
    type: Boolean,
    default: ""
  },
  color: {
    type: [String, Function],
    default: "primary"
  },
  size: {
    type: String,
    value: e,
    default: "medium"
  },
  cs: {
    type: [Object, String]
  },
  disabledIcon: {
    type: Boolean,
    default: !1
  }
});
export {
  l as switchHeight,
  r as switchProps
};
