import { defineComponent as D, useAttrs as S, useSlots as U, computed as p, openBlock as l, createElementBlock as d, normalizeClass as s, unref as e, createBlock as k, withCtx as i, createTextVNode as u, toDisplayString as c, createCommentVNode as C, createElementVNode as F, renderSlot as E, normalizeProps as w, guardReactiveProps as A, createVNode as N, mergeProps as L } from "vue";
import { useNamespace as M, generateId as O, isEmpty as R } from "@interface-ui/utils";
import { UPDATE_MODEL_EVENT as j } from "@interface-ui/constants";
import { InTypography as f } from "../../typography/index.js";
import { InInputBase as q } from "../../input-base/index.js";
import { textFieldProps as x } from "./text-field.js";
import G from "./index.jss.js";
const Z = /* @__PURE__ */ D({
  __name: "index",
  props: x,
  emits: ["update:modelValue"],
  setup(T, { emit: P }) {
    const r = T, B = P, m = S(), a = U(), t = M("text-field"), I = G(r), v = p({
      get() {
        return r.modelValue;
      },
      set(o) {
        B(j, o);
      }
    }), b = m != null && m.id ? m.id : `text-field-${O()}`, g = p(() => (r == null ? void 0 : r.label) ?? ""), h = p(() => {
      var n;
      const o = (n = a == null ? void 0 : a.startAdornment) == null ? void 0 : n.call(a);
      return !R(r.modelValue) || !!o;
    });
    return (o, n) => {
      var $, V, y;
      return l(), d("div", {
        class: s([
          e(t).b(),
          e(t).m(o.$props.variant),
          e(t).m(o.$props.size),
          o.$props.error ? e(t).m("error") : "",
          h.value ? e(t).m("content-within") : "",
          e(I)
        ])
      }, [
        ($ = o.$props) != null && $.label ? (l(), k(e(f), {
          key: 0,
          id: e(b),
          component: "label",
          class: s([e(t).e("label")]),
          color: "rgb(var(--md-sys-color-on-surface-rgb) / 0.6);",
          "no-warp": ""
        }, {
          default: i(() => [
            u(c(g.value), 1)
          ]),
          _: 1
        }, 8, ["id", "class"])) : C("", !0),
        F("div", {
          class: s([e(t).m("input-wrapper")])
        }, [
          E(o.$slots, "startAdornment", w(A({ class: [e(t).m("start-adornment")] }))),
          N(e(q), L({ id: e(b) }, o.$attrs, {
            modelValue: v.value,
            "onUpdate:modelValue": n[0] || (n[0] = (z) => v.value = z),
            class: [e(t).e("input")]
          }), null, 16, ["id", "modelValue", "class"]),
          E(o.$slots, "endAdornment", w(A({ class: [e(t).m("end-adornment")] }))),
          o.$props.variant === "outlined" && ((V = o.$props) != null && V.label) ? (l(), d("fieldset", {
            key: 0,
            class: s([e(t).m("border")])
          }, [
            N(e(f), {
              component: "legend",
              "no-warp": ""
            }, {
              default: i(() => [
                u(c(g.value), 1)
              ]),
              _: 1
            })
          ], 2)) : (l(), d("span", {
            key: 1,
            class: s([e(t).m("border")])
          }, null, 2))
        ], 2),
        (y = o.$props) != null && y.supportingText ? (l(), k(e(f), {
          key: 1,
          class: s([e(t).m("supporting-text")]),
          variant: "body.small",
          "no-warp": ""
        }, {
          default: i(() => [
            u(c(o.$props.supportingText), 1)
          ]),
          _: 1
        }, 8, ["class"])) : C("", !0)
      ], 2);
    };
  }
});
export {
  Z as default
};
