import { componentSizes as t } from "@interface-ui/constants";
import { buildProps as e } from "@interface-ui/utils";
const r = ["outlined", "filled", "standard"], o = e({
  modelValue: {
    type: String,
    required: !0,
    default: ""
  },
  variant: {
    type: String,
    values: r,
    default: "outlined"
  },
  label: {
    type: String
  },
  color: {
    type: [String, Function],
    default: "primary"
  },
  size: {
    type: String,
    values: t,
    default: "large"
  },
  cs: {
    type: [String, Array, Object]
  },
  error: {
    type: Boolean,
    default: !1
  },
  supportingText: {
    type: String
  }
});
export {
  r as textFiedlVariants,
  o as textFieldProps
};
