import { componentSeverities as r } from "@interface-ui/constants";
import { buildProps as t } from "@interface-ui/utils";
import e from "../../svg-icon/internal/SuccessOutlined.vue.js";
import o from "../../svg-icon/internal/WarningOutlined.vue.js";
import i from "../../svg-icon/internal/ErrorOutlined.vue.js";
import n from "../../svg-icon/internal/InfoOutlined.vue.js";
const s = ["filled", "outlined"], u = t({
  variant: {
    type: String,
    values: s,
    default: "filled"
  },
  severity: {
    type: String,
    values: r,
    required: !0,
    default: "info"
  },
  icon: {
    type: Boolean,
    default: !0
  },
  cs: {
    type: [Object, String]
  }
}), d = {
  success: e,
  warning: o,
  error: i,
  info: n
};
export {
  d as alertIcons,
  u as alertProps,
  s as alertVariants
};
