import { defineComponent as u, computed as d, openBlock as l, createElementBlock as v, normalizeClass as t, unref as o, renderSlot as a, normalizeProps as m, mergeProps as f, createBlock as y, resolveDynamicComponent as C, createCommentVNode as h, createVNode as k, withCtx as P, guardReactiveProps as $ } from "vue";
import { useNamespace as g } from "@interface-ui/utils";
import { useTheme as z } from "@interface-ui/theme";
import { InTypography as B } from "../../typography/index.js";
import { alertProps as N, alertIcons as b } from "./alert.js";
import I from "./index.jss.js";
const S = /* @__PURE__ */ u({
  __name: "index",
  props: N,
  setup(c) {
    const r = c, n = z(), s = g("alert"), i = I(r), p = d(() => {
      const e = n.value.palettes[r.severity];
      return n.value.mode === "dark" ? e[50] : e[40];
    });
    return (e, T) => (l(), v("div", {
      class: t([o(s).b(), o(s).m(r.variant), o(i)])
    }, [
      r.icon ? a(e.$slots, "icon", m(f({ key: 0 }, {
        severity: e.$props.severity,
        class: [o(s).m("icon")]
      })), () => [
        (l(), y(C(o(b)[e.$props.severity]), {
          class: t([o(s).m("icon")])
        }, null, 8, ["class"]))
      ]) : h("", !0),
      k(o(B), {
        component: "span",
        color: "var(--in-alert-on-color)",
        variant: "body.medium",
        class: t([o(s).m("message")])
      }, {
        default: P(() => [
          a(e.$slots, "default")
        ]),
        _: 3
      }, 8, ["class"]),
      a(e.$slots, "action", m($({ color: p.value, size: "small" })))
    ], 2));
  }
});
export {
  S as default
};
