import { buildProps as t, isNumber as a, isString as e } from "@interface-ui/utils";
const i = ["circle", "square", "rounded"], o = t({
  size: {
    type: [String, Number],
    default: 40,
    validator: (r) => a(r) || e(r) && !isNaN(parseFloat(r))
  },
  variant: {
    type: String,
    values: i,
    default: "circle"
  },
  color: {
    type: [String, Function],
    default: "onSurface"
  },
  background: {
    type: [String, Function],
    default: "surfaceVariant"
  },
  cs: {
    type: [Object, String]
  }
});
export {
  o as avatarProps,
  i as avatarVariants
};
