import type { ComponentStylingHook } from '@interface-ui/utils';
import type { Ref } from 'vue';
import { useDynamicColor } from '@interface-ui/theme';
import { type ButtonGroupProps } from './button-group';
declare const useCss: ComponentStylingHook<ButtonGroupProps, {
    cssClass: string;
    dynamicColor: Ref<ReturnType<typeof useDynamicColor>>;
}>;
export default useCss;
