import { buildProps as e } from "@interface-ui/utils";
const r = e({
  modelValue: {
    type: [String, Number, Boolean, Array, Object],
    required: !0
  },
  /**
   * TIPS
   * Required to let Vue handle the modelValue when type is 'checkbox' or 'radio'
   */
  type: {
    type: String,
    default: ""
  },
  cs: {
    type: [Object, String]
  },
  /**
   * TIPS
   * For internal development only
   * DO NOT PUT THIS PROP IN DOCUMENTATION
   */
  internal: {
    type: Boolean,
    default: !1
  }
});
export {
  r as inputBaseProps
};
