import { buildProps as t } from "@interface-ui/utils";
import "../../list/index.js";
import { listAlignItems as e } from "../../list/src/list.js";
const r = t({
  cs: {
    type: [Object, String]
  },
  indent: {
    type: [Number, String],
    default: 0
  },
  selectable: {
    type: Boolean,
    default: !0
  },
  alignItems: {
    type: String,
    values: e,
    default: "center"
  },
  highlight: {
    type: Boolean,
    default: !1
  },
  highlightColor: {
    type: [String, Function],
    default: "secondaryContainer"
  }
});
export {
  r as listItemProps
};
