import { defineComponent as E, ref as b, onBeforeUnmount as M, watch as A, nextTick as B, openBlock as T, createBlock as z, unref as u, withCtx as F, createElementVNode as L, mergeProps as N, withModifiers as O, renderSlot as P } from "vue";
import { useNamespace as R, throttle as S, off as g, on as x } from "@interface-ui/utils";
import { InModal as U } from "../../modal/index.js";
import { popoverProps as V } from "./popover.js";
import D from "./index.jss.js";
const K = /* @__PURE__ */ E({
  inheritAttrs: !1,
  __name: "index",
  props: V,
  emits: ["update:modelValue", "close"],
  setup(y) {
    const l = y, v = R("popover"), a = b(null), w = b({
      top: "0",
      left: "0",
      transformOrigin: "top left",
      minWidth: "0"
    }), C = D(l), $ = { x: "left", y: "bottom" }, k = (t) => {
      if (!a.value || !l.anchor)
        return;
      const { placement: s } = l;
      let { x: e, y: n } = { ...$, ...s };
      const { top: r, left: o, width: i, height: d } = t.getBoundingClientRect(), f = Math.max(a.value.offsetWidth, i), h = a.value.offsetHeight, { innerWidth: p, innerHeight: H } = window;
      e === "left" ? p - o < f && (e = "right") : e === "right" ? o + i < f && (e = "left") : o + i / 2 < f / 2 ? e = "right" : p - o - i / 2 < f / 2 && (e = "left"), n === "top" ? r < h && (n = "bottom") : H - r - d < h && (n = "top");
      const c = { top: 0, left: 0 };
      e === "left" ? c.left = o : e === "right" ? c.left = o + i - f : c.left = o + i / 2 - f / 2, n === "top" ? c.top = r - h : c.top = r + d, w.value = {
        top: `${c.top}px`,
        left: `${c.left}px`,
        transformOrigin: `${e} ${n === "top" ? "bottom" : "top"}`,
        minWidth: `${i}px`
      };
    }, W = (t) => {
      if (!a.value)
        return;
      const { placement: s } = l;
      let { x: e, y: n } = { ...$, ...s };
      const { x: r, y: o } = t, i = a.value.offsetWidth, d = a.value.offsetHeight, { innerWidth: f, innerHeight: h } = window;
      e === "center" && (e = "right"), e === "left" ? r < i && (e = "right") : f - r < i && (e = "left"), n === "top" ? o < d && (n = "bottom") : h - o < d && (n = "top");
      const p = { top: 0, left: 0 };
      e === "left" ? p.left = r - i : p.left = r, n === "top" ? p.top = o - d : p.top = o, w.value = {
        top: `${p.top}px`,
        left: `${p.left}px`,
        transformOrigin: `${e === "left" ? "right" : "left"} ${n === "top" ? "bottom" : "top"}`,
        minWidth: `${i}px`
      };
    }, m = S(() => {
      k(l.anchor);
    }, 10);
    return M(() => {
      g(window, "scroll", m), g(window, "resize", m);
    }), A(
      () => l.open,
      (t) => {
        t ? B(() => {
          x(window, "scroll", m), x(window, "resize", m), l.anchor instanceof HTMLElement ? k(l.anchor) : W(l.anchor);
        }) : (g(window, "scroll", m), g(window, "resize", m));
      }
    ), (t, s) => (T(), z(u(U), {
      "keep-mounted": t.$props.keepMounted,
      "model-value": t.$props.open,
      backdrop: t.$props.backdrop,
      onClick: s[1] || (s[1] = (e) => t.$emit("close"))
    }, {
      default: F(() => [
        L("div", N({
          ref_key: "popoverRef",
          ref: a
        }, t.$attrs, {
          class: [u(v).b(), t.$props.open ? u(v).m("open") : u(v).m("close"), u(C)],
          style: w.value,
          onClick: s[0] || (s[0] = O(() => {
          }, ["stop"]))
        }), [
          P(t.$slots, "default")
        ], 16)
      ]),
      _: 3
    }, 8, ["keep-mounted", "model-value", "backdrop"]));
  }
});
export {
  K as default
};
