declare const _default: import("vue").DefineComponent<{
    orientation: {
        type: import("vue").PropType<"horizontal" | "vertical">;
        values: readonly ["horizontal", "vertical"];
        default: string;
    };
    variant: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "text" | "filled" | "outlined" | "elevated" | "tonal") | (() => "text" | "filled" | "outlined" | "elevated" | "tonal") | ((new (...args: any[]) => "text" | "filled" | "outlined" | "elevated" | "tonal") | (() => "text" | "filled" | "outlined" | "elevated" | "tonal"))[], "text" | "filled" | "outlined" | "elevated" | "tonal", unknown, string, boolean>;
    shape: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "square" | "rounded" | "arc") | (() => "square" | "rounded" | "arc") | ((new (...args: any[]) => "square" | "rounded" | "arc") | (() => "square" | "rounded" | "arc"))[], "square" | "rounded" | "arc", unknown, string, boolean>;
    size: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large") | ((new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large"))[], "small" | "medium" | "large", unknown, string, boolean>;
    color: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => import("@interface-ui/theme").AcceptableColor) | ((new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => import("@interface-ui/theme").AcceptableColor))[], unknown, unknown, string, boolean>;
    disableRipple: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    cs: {
        readonly type: import("vue").PropType<import("@interface-ui/utils").InPropMergeType<(StringConstructor | ObjectConstructor)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    orientation: {
        type: import("vue").PropType<"horizontal" | "vertical">;
        values: readonly ["horizontal", "vertical"];
        default: string;
    };
    variant: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "text" | "filled" | "outlined" | "elevated" | "tonal") | (() => "text" | "filled" | "outlined" | "elevated" | "tonal") | ((new (...args: any[]) => "text" | "filled" | "outlined" | "elevated" | "tonal") | (() => "text" | "filled" | "outlined" | "elevated" | "tonal"))[], "text" | "filled" | "outlined" | "elevated" | "tonal", unknown, string, boolean>;
    shape: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "square" | "rounded" | "arc") | (() => "square" | "rounded" | "arc") | ((new (...args: any[]) => "square" | "rounded" | "arc") | (() => "square" | "rounded" | "arc"))[], "square" | "rounded" | "arc", unknown, string, boolean>;
    size: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large") | ((new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large"))[], "small" | "medium" | "large", unknown, string, boolean>;
    color: import("@interface-ui/utils").InPropFinalized<(new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => import("@interface-ui/theme").AcceptableColor) | ((new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => import("@interface-ui/theme").AcceptableColor))[], unknown, unknown, string, boolean>;
    disableRipple: import("@interface-ui/utils").InPropFinalized<BooleanConstructor, unknown, unknown, boolean, boolean>;
    cs: {
        readonly type: import("vue").PropType<import("@interface-ui/utils").InPropMergeType<(StringConstructor | ObjectConstructor)[], unknown, unknown>>;
        readonly required: false;
        readonly validator: ((val: unknown) => boolean) | undefined;
        __epPropKey: true;
    };
}>>, {
    color: import("@interface-ui/utils").InPropMergeType<(new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => import("@interface-ui/theme").AcceptableColor) | ((new (...args: any[]) => string | import("@interface-ui/theme").ThemeCallBack) | (() => import("@interface-ui/theme").AcceptableColor))[], unknown, unknown>;
    size: import("@interface-ui/utils").InPropMergeType<(new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large") | ((new (...args: any[]) => "small" | "medium" | "large") | (() => "small" | "medium" | "large"))[], "small" | "medium" | "large", unknown>;
    variant: import("@interface-ui/utils").InPropMergeType<(new (...args: any[]) => "text" | "filled" | "outlined" | "elevated" | "tonal") | (() => "text" | "filled" | "outlined" | "elevated" | "tonal") | ((new (...args: any[]) => "text" | "filled" | "outlined" | "elevated" | "tonal") | (() => "text" | "filled" | "outlined" | "elevated" | "tonal"))[], "text" | "filled" | "outlined" | "elevated" | "tonal", unknown>;
    shape: import("@interface-ui/utils").InPropMergeType<(new (...args: any[]) => "square" | "rounded" | "arc") | (() => "square" | "rounded" | "arc") | ((new (...args: any[]) => "square" | "rounded" | "arc") | (() => "square" | "rounded" | "arc"))[], "square" | "rounded" | "arc", unknown>;
    disableRipple: import("@interface-ui/utils").InPropMergeType<BooleanConstructor, unknown, unknown>;
    orientation: "horizontal" | "vertical";
}, {}>;
export default _default;
